**Allgemein:**
- Ziele und Projektumfang gesetzt?
- Notebook führen, um regelmäßig Beobachtungen zu notieren.
- Folgt das Paper einem narrativ?    
- Gibt es ähnliche Paper?    
- Hast du eine gut definierte Struktur und Organisation für den Text?
- Form für die Argumente und Ergebnisse.
- Ist eine klare Verbindung zwischen Hintergrund, Methoden und Ergebnisse sichtbar?
- Wie wurden die Ergebnisse gesammelt für die Präsentation?
- Wie passen die Ergebnisse zu dem Ursprung des Ziels?
- Gibt es irgendwelche unüblichen Muster die verwendet wurden für die Organisation?
- Wurden die Ergebnisse kritisch hinterfragt?
- Wurden die Anforderungen für eine These erfüllt?
## Ziele
+ Robustheit und Effektivität von neuronalen Netzen gegenüber statistischen Methoden überprüfen.
+ Untersuchen, ob die eigenen Modelle gleiche Ergebnisse wie die vom von dem Paper trainierten Modelle liefern mit optimierten Parametern (Publikationsergebnisse, Eigene Ergebnisse, Importiertes Modell Ergebnisse)
+ Optimierung der Modelle
+ Gibt es eine Überlegenheit zw. dichte-, distanz- oder vorhersagebasierten Methoden?
+ Welche Methode zeigt sich am besten für Punkt- und Sequenzanomalien?
+ Warum könnten manche Modelle besser als neuronale Netze funktionieren?
+ Gibt es Unterschiede in den einzelnen Gruppen an Datensätzen?
## Modelle
**Dichtebasiert**
+ OCSVM (Distribution-based)
+ IForest / EIF (Baumbasiert) **(Sofia)**
+ PCA (Encoding basiert) **(Ahmad)**
+ POLY (Encoding basiert) **(Desiree)**
**Distanzbasiert**
+ LOF (Proximity-basiert)
+ kNN (Proximity) **(Sofia)**
+ k-MeansAD (Cluster-based) **(Ahmad)**
+ *kShapeAD (cluster) $\rightarrow$ offline Version SAND* **(Desiree)**
+ ? Matrix-Profile (discord-based)
**Vorhersagebasiert**
+ CNN **(Sofia)**
+ LSTMAD (vorhersage) **(Ahmad)**
+ OmniAnomaly (rekonstruktion)
+ USAD (rekonstruktion) **(Desiree)**

### Dokumentation der Modelle:
+ Pro Modell eine Datei
+ Inhalt:
	+ Grobe Funktionsweise
	+ Besonderheiten (allgemein), Gruppe der Methode
	+ Stärken und Schwächen in der Anomaliedetektion
	+ ggf. Besonderheiten beim Training und getestete Hyperparameter
	+ Ergebnisse (s. unten) und Laufzeiten mit dokumentieren (Laufzeiten nur beim Training aller Daten)
	+ Testen und Trainieren auf (alle Ergebnisse Dokumentieren):
		+ Allen Daten
		+ Nur Punktanomalien
		+ Nur Sequenzanomalien
		+ Einzelne Gruppen
## Evaluationsmetriken
```
AUC_ROC : 0.7968186887782313
AUC_PR : 0.09205761752802392
Precision : 0.058823529411764705
Recall : 0.0297029702970297
F : 0.039473684210526314
Precision_at_k : 0.0297029702970297
Rprecision : 0.125
Rrecall : 0.09090909090909093
RF : 0.10526315789473685
R_AUC_ROC : 0.9531611224056705
R_AUC_PR : 0.4926688922361494
VUS_ROC : 0.9186620929224953
VUS_PR : 0.39033909329157723
```
## Thesen
1. Statistische Algorithmen überbieten neuronale Netze in ihrer Performence bei der Anomaliedetektion auf univariaten Daten. ("Our findings challenge the conventional wisdom regarding the superiority of advanced neural network architectures, revealing that simpler architectures and statistical methods often yield better performance")
2. Statistsche Methoden dominieren bei der Erkennung von Sequenzanomalien.(However, for sequence-based anomalies, statistical methods continue to dominate, with Sub-KNN and POLY outperforming other methods.)
3. Neuronale Netze sind die besten Modelle zur Erkennung von Punktanomalien. (Overall, neural networks appear more effective in detecting point anomalies)
4. Dichtebasierte Methoden sind distanzbasierten Methoden auf univariaten Daten überlegen.
5. (Neuronale Netze sind für multivariate Daten besser geeignet. ("The promising performance of neural networks on multivariate cases and foundation models on point anomalies highlights the need for further advancements in these methods."))
## Ablaufplan
*alles was gemacht wird dokumentieren*

1. Dokumentation und Zusammenfassung vom Paper
2. Publikationen suchen, die Thesen stützen und/ oder widerlegen (Sofia, Ahmad)
	1. Ausblick für andere Methoden geben
		1. Entropie, Fraktale Dimensionen, FFT
	2. Baseline-Modell finden
	3. Neuronale Netze bauen für Zeitserien
3. Datensatz untersuchen (alle)
	1. Herunterladen
	2. Größe, Aufbau der Daten, ...
	3. Gibt es eine Möglichkeit Sequenz- und Punktanomalien zu unterscheiden, sodass man dafür extra Datensätze erstellen kann?
	4. Datensatz gesamt erstellen mit Training und Test (Desiree)
4. Untersuchen der Algorithmen + Doku (Desiree)
5. Baseline-Modell finden (andere Publikationen)
6. Modelle erstellen und trainieren
7. Modelle vergleichen (alle)
8. Hausarbeit schreiben


**Modelle, univariate Daten**
1. Code vom Git übernehmen
2. Algorithmen untersuchen
	1. Was steckt drin?
3. Modell nachbauen
4. Modell auf gleichen Daten wie alle anderen Modelle
5. Modell evaluieren
	1. **Method Reproducibility**:
		1. Hat sich das Modell nachbauen lassen?
	2. **Results Reproducibility**
		1. Sind die Ergebnisse wie im Paper?
		2. Wenn nein, warum nicht?
		3. Vergleich mit dem implementierem und trainiertem Modell aus dem Paper


**Evaluieren der Inferential Reproducibility**


**Ggf. gleiches Prozedere wie bei multivariaten Daten**