$\rightarrow$ **für multiklassen und multivariate Probleme**


*VUS: Quelle*
John Paparrizos, Paul Boniol, Themis Palpanas, Ruey S. Tsay, Aaron Elmore, and Michael J. Franklin. 2022. Volume under the surface: a new accuracy evaluation measure for time-series anomaly detection. Proc. VLDB Endow. 15, 11 (July 2022), 2774–2787.

[Erklärungen vom Paper](https://github.com/TheDatumOrg/TSB-UAD/blob/main/docs/evaluation/VUS.md)


Beyond the case study, we conduct a quantitative analysis to evaluate the sensitivity of evaluation measures to lags—misalignments between predicted anomalies and ground truth— which are inevitable due to inconsistent labeling practices across datasets and potential lags introduced by anomaly detectors. To enhance clarity, we exclude measures with significant bias. Specifically, we introduce lags into the labels and compute the standard deviation of the evaluation results associated with different anomaly scores. As shown in Figure [6](https://bytez.com/docs/neurips/97690/paper?_c=eyJ2IjoxLCJyZWxhdGVkIjpbImNvZGUiLCJyZWZlcmVuY2VzIiwiY29uZmVyZW5jZSJdfQ%3D%3D#id-85) (a), VUS-PR demonstrates substantial robustness compared with other measures. Moreover, as illustrated in Figure [6](https://bytez.com/docs/neurips/97690/paper?_c=eyJ2IjoxLCJyZWxhdGVkIjpbImNvZGUiLCJyZWZlcmVuY2VzIiwiY29uZmVyZW5jZSJdfQ%3D%3D#id-85) (b), when comparing the Random (C) with the anomaly score generated by 32 anomaly detectors, the random score achieves a ranking of 26 under the PA-F1 measure. This finding confirms that PA-F1 exhibits significant bias toward noisy input, rendering it unsuitable for reliable evaluations.

Based on the criteria outlined above, VUS-PR emerges as the most robust (less sensitive to lags), accurate (unbiased and effective across different scenarios), and fair (consistent under similar cases) evaluation measure. In contrast, PATE, while extending the principles of VUS, introduces new challenges that complicate method evaluation and significantly increase computational demands. In the following section, we use VUS-PR as the measure for fair and accurate evaluations. For comprehensive performance analysis, results using additional measures are provided in Appendix D.

![](../bilder/VUS.jpg)

The receiver operator characteristic (ROC) curve and the area under the curve (AUC) are widely used to compare the performance of different anomaly detectors. They mainly focus on point-based detection. However, the detection of collective anomalies concerns two factors: whether this outlier is detected and what percentage of this outlier is detected. The first factor is not reflected in the AUC. Another problem is the possible shift between the anomaly score and the real outlier due to the application of the sliding window. To tackle these problems, we incorporate the idea of range-based precision and recall, and suggest the range-based ROC and its counterpart in the precision-recall space, which provides a new evaluation for the collective anomalies. We finally introduce a new measure VUS (Volume Under the Surface) which corresponds to the averaged range-based measure when we vary the range size. We demonstrate in a large experimental evaluation that the proposed measures are significantly more robust to important criteria (such as lag and noise) and also significantly more useful to separate correctly the accurate from the the inaccurate methods.