# Workload

### Git -Befehle

- `git clone $https://$`: Erstellt einen Klon des Git-Repositories in dem Ordner
- `git pull`: Zieht aktuellen Stand aus dem Git in das lokale Repository. Macht ein `git fetch` gefolgt von einem `git merge`
- `git push`: Bringt lokalen Stand in das Git-Repository und prüft aus Merging-Konflikte
- `git fetch`: Updated den remote-tracking Branch. (`git fetch --all` updated alle branches)

### Branches

- Werden verwendet, um ohne Konflikte Issues abarbeiten zu können
- Werden am Ende zusammengeführt, sodass alle bearbeiteten Issues in einem Branch (Main) enthalten sind
- Für das Zusammenführen von Branches kann ein _Merge Request_ in den Issues erstellt werden. Dafür muss der eigene bearbeitete Branch und ein Zielbranch (main) angegeben werden.

### Ablauf

1. In der Konsole **immer** `git pull` machen, um auch lokal vor dem Bearbeiten von Dokumenten auf dem aktuellem Stand zu sein
2. Ist der eigene Branch nach dem Merge Request gelöscht (lokal nicht unbedingt sichtbar), sollte ein neuer Branch von dem _main_ abgeleitet werden. Im Idealfall trägt er einen Namen passend zum Issue.
3. Vor dem Bearbeiten schauen, ob man sich im VSC im korrektem Branch befindet, sonst werden die falschen Dokumente bearbeitet
4. Wenn man fertig ist, unbedingt den aktuellen Stand mit `git push` im Terminal, oder über den Sync-Button im VSC ins Git laden
5. Ist das Issue beendet, dann kann es im Git geschlossen werden und dort eine Merge Request erstellt werden. Nach dem Mergen (macht Desi) wird der bearbeitete Branch gelöscht. Dadurch sind die aktuellen Daten alle im Main-Branch und jeder kann bei erneutem Ableiten davon, auf dem aktuellem Stand arbeiten. Verhindert, dass Daten anderer überschrieben werden.
